package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name="PapRencanaOrderFarmasi_T")
public class PapRencanaOrderFarmasi extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasien registrasiPelayananPasien;	
	
	@Column(name = "ObjectRegistrasiPelayananPasienFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String registrasiPelayananPasienId;

	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private Pasien pasien;	
	
	@Column(name = "ObjectPasienFk", insertable = false, updatable = false, nullable = false)
	private Integer pasienId;
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@NotNull(message = "Tgl Order tidak boleh kosong")
	@Column(name = "tglOrder", nullable = false)
	@Caption(value = "Tgl Order")
	private Date tglOrder;

	@NotNull(message = "No Resep tidak boleh kosong")
	@Column(name = "noResep", nullable = false)
	@Caption(value = "No Resep")
	private String noResep;

	@NotNull(message = "Tgl Resep tidak boleh kosong")
	@Column(name = "tglResep", nullable = false)
	@Caption(value = "Tgl Resep")
	private Date tglResep;

	@NotNull(message = "Dokter Penulis Resep tidak boleh kosong")
	@Column(name = "dokterPenulisResep", nullable = false)
	@Caption(value = "Dokter Penulis Resep")
	private String dokterPenulisResep;

	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@NotNull(message = "Ruangan Tujuan tidak boleh kosong")
	private Ruangan ruanganTujuan;
	
	@Column(name = "ObjectRuanganFk", insertable = false, updatable = false, nullable = false)
	private Integer ruanganTujuanId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPapJenisObatFk")
	@NotNull(message = "PapJenisObat tidak boleh kosong")
	private PapJenisObat papJenisObat;

	@Column(name = "ObjectPapJenisObatFk", insertable = false, updatable = false, nullable = false)
	private Integer papJenisObatId;

	@ManyToOne
	@JoinColumn(name = "ObjectPapNamaBarangFk")
	@NotNull(message = "PapNamaBarang tidak boleh kosong")
	private PapNamaBarang papNamaBarang;
	
	@Column(name = "ObjectPapNamaBarangFk", insertable = false, updatable = false, nullable = false)
	private Integer papNamaBarangId;

	public RegistrasiPelayananPasien getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasien registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public Pasien getPasien() {
		return pasien;
	}

	public void setPasien(Pasien pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public Date getTglOrder() {
		return tglOrder;
	}

	public void setTglOrder(Date tglOrder) {
		this.tglOrder = tglOrder;
	}

	public String getNoResep() {
		return noResep;
	}

	public void setNoResep(String noResep) {
		this.noResep = noResep;
	}

	public Date getTglResep() {
		return tglResep;
	}

	public void setTglResep(Date tglResep) {
		this.tglResep = tglResep;
	}

	public String getDokterPenulisResep() {
		return dokterPenulisResep;
	}

	public void setDokterPenulisResep(String dokterPenulisResep) {
		this.dokterPenulisResep = dokterPenulisResep;
	}

	public Ruangan getRuanganTujuan() {
		return ruanganTujuan;
	}

	public void setRuanganTujuan(Ruangan ruanganTujuan) {
		this.ruanganTujuan = ruanganTujuan;
	}

	public PapJenisObat getPapJenisObat() {
		return papJenisObat;
	}

	public void setPapJenisObat(PapJenisObat papJenisObat) {
		this.papJenisObat = papJenisObat;
	}

	public PapNamaBarang getPapNamaBarang() {
		return papNamaBarang;
	}

	public void setPapNamaBarang(PapNamaBarang papNamaBarang) {
		this.papNamaBarang = papNamaBarang;
	}

}
